%% Free Response


%% Response for Real Roots

% Specify real roots
s = [-2 -1 0 0.5];

% Plot response for each root
figure(1);
clf;
t = linspace(0,3,100);
for i=1:numel(s);
    plot(t,exp(s(i)*t));
    hold on;
end
ylim([0 2]);
xlabel('Time (sec)')
ylabel('Response: e^{st}')
grid on;
ah = gca;

% Add inset figure showing roots in complex plane
axes('position',[0.57 0.7 0.3 0.2])
co = get(groot,'defaultAxesColorOrder');
for i=1:numel(s)
    plot(s(i),0,'x','Color',co(i,:));
    hold on;
end
grid
xlabel('Real');
ylabel('Imag');
xlim([-2.5 1]);
ax = axis;
phAx(1)=plot([ax(1) ax(2)],[0 0],'k');
phAx(2)=plot([0 0],[ax(3) ax(4)],'k');
set(ah, 'LooseInset', get(gca, 'TightInset'));

if exist('garyfyFigure','file') && exist('myprint','file')
    % Code to clean up and save figure.
    % These functions are not in the standard Matlab release.
    garyfyFigure
    set(phAx,'LineWidth',1);
    myprint(1,'FreeResponseReal')
end

%% Response for Complex Roots

% Specify real roots
alpha = [-2 -1 0 0.5];
beta = 2;

% Plot response for each root
figure(2);
clf;
t = linspace(0,3,100);
for i=1:numel(alpha);    
    plot(t,exp(alpha(i)*t).*cos(beta*t));
    hold on;
end
ylim([-2.5 2.5]);
xlabel('Time (sec)')
ylabel('Response: e^{\alpha t} cos(\beta t)')
grid on;
ah = gca;

% Add inset figure showing roots in complex plane
axes('position',[0.4 0.7 0.3 0.2])
co = get(groot,'defaultAxesColorOrder');
for i=1:numel(alpha)
    plot(alpha(i),beta,'x','Color',co(i,:));
    hold on;
end
grid
xlabel('Real');
ylabel('Imag');
xlim([-2.5 1]);
ylim([-0.5 2.5]);
ax = axis;
phAx(1)=plot([ax(1) ax(2)],[0 0],'k');
phAx(2)=plot([0 0],[ax(3) ax(4)],'k');
set(ah, 'LooseInset', get(gca, 'TightInset'));

if exist('garyfyFigure','file') && exist('myprint','file')
    % Code to clean up and save figure.
    % These functions are not in the standard Matlab release.
    garyfyFigure
    set(phAx,'LineWidth',1);
    myprint(2,'FreeResponseComp')
end
